Bug 17573 - Delete doesn't work in tcsh as expected
Delete doesn't work in tcsh as expected
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: tcsh (Show other bugs)
7.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Eido Inoue
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-09-17 10:02 EDT by Pekka Savola
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-21 17:44:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pekka Savola 2000-09-17 10:02:15 EDT
7.0 Gold release.

Backspace and delete work in Bash as expected.  However, in tcsh, backspace
works but delete doesn't.  Delete generates a beep and prints out a '~'
key.

This also happens when connecting to remote systems running tcsh using ssh;
so, this might not actually be entirely tcsh's fault..
Comment 1 Pekka Savola 2000-10-23 10:28:25 EDT
This seems to happen with RH62 too.  Highly annoying.
Comment 2 Eido Inoue 2001-02-07 23:20:26 EST
/etc/csh.login now set to bindkey iff the csh is a tcsh.

Note You need to log in before you can comment on or make changes to this bug.